<?php


use Phinx\Seed\AbstractSeed;

class AccountsSeeder extends AbstractSeed
{
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeders is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     */
    public function run()
    {
        $data = [
            [
                'account_token' => 'token3',
                'account_alias' => 'ACME_ALIAS',
                'company_name' => 'ACME',
                'email' => 'foo@gmail.com',
                'phone' => '915878788',
                'address' => 'Acme address',
                'id_account_type' => 3,
                'id_business' => 1,
                'id_business_size' => 1,
                'country_iso' => 'pt',
                'id_currency' => 1,
                'website' => 'website_1',
                'timezone' => true,
                'verified' => false,
                'active' => true,
                'remember_token' => 'remember_token',
                'update_date' => date('Y-m-d H:i:s'),
                'register_date' => date('Y-m-d H:i:s'),
            ],

        ];

        $posts = $this->table('accounts');
        $posts->insert($data)
            ->saveData();
    }
}
