<?php


namespace App\OrdersManagement\Routines;

class Routines
{
    public const SP_GET_BUSINESS_CATEGORIES = ['q' => "CALL SP_GET_BUSINESS_CATEGORIES(?)", 'connection' => 'default'];
    public const SP_GET_BUSINESS_SIZES = ['q' => "CALL SP_GET_BUSINESS_SIZES(?)", 'connection' => 'default'];

    public const SP_GET_ORDER = ['q' => "CALL SP_GET_ORDER(?,?)", 'connection' => 'default'];
    public const SP_GET_ORDERS_COUNT = ['q' => "CALL SP_GET_ORDERS_COUNT(?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_ORDERS_PRODUCTS = ['q' => "CALL SP_GET_ORDERS_PRODUCTS(?,?,?,?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_ORDERS_PRODUCTS_COUNT = ['q' => "CALL SP_GET_ORDERS_PRODUCTS_COUNT(?,?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_ORDERS = ['q' => "CALL SP_GET_ORDERS(?,?,?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_PRODUCT = ['q' => "CALL SP_GET_PRODUCT(?,?)", 'connection' => 'default'];
    public const SP_GET_PRODUCTS_COUNT = ['q' => "CALL SP_GET_PRODUCTS_COUNT(?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_PRODUCTS = ['q' => "CALL SP_GET_PRODUCTS(?,?,?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_SUPPLIER = ['q' => "CALL SP_GET_SUPPLIER(?,?)", 'connection' => 'default'];
    public const SP_GET_SUPPLIERS_COUNT = ['q' => "CALL SP_GET_SUPPLIERS_COUNT(?,?,?,?)", 'connection' => 'default'];
    public const SP_GET_SUPPLIERS = ['q' => "CALL SP_GET_SUPPLIERS(?,?,?,?,?,?,?,?)", 'connection' => 'default'];

    public const SP_SET_ORDERS = ['q' => "CALL SP_SET_ORDERS(?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_SET_PRODUCTS_TO_ORDERS = ['q' => "CALL SP_SET_PRODUCTS_TO_ORDERS(?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_SET_PRODUCTS = ['q' => "CALL SP_SET_PRODUCTS(?,?,?,?,?,?,?,?,?,?)", 'connection' => 'default'];
    public const SP_SET_SUPPLIERS = ['q' => "CALL SP_SET_SUPPLIERS(?,?,?,?,?,?,?,?,?,?,?,?,?,?)", 'connection' => 'default'];

    public const SP_DEL_ORDER = ['q' => "CALL SP_DEL_ORDER(?,?)", 'connection' => 'default'];
    public const SP_DEL_PRODUCT_FROM_ORDER = ['q' => "CALL SP_DEL_PRODUCT_FROM_ORDER(?,?)", 'connection' => 'default'];
    public const SP_DEL_PRODUCT = ['q' => "CALL SP_DEL_PRODUCT(?,?,?)", 'connection' => 'default'];
    public const SP_DEL_SUPPLIER = ['q' => "CALL SP_DEL_SUPPLIER(?,?)", 'connection' => 'default'];
}
